Skip to content

Creates a self-service instantiation request FROM an approved catalog entry.

POST
/v1/m/catalog/entries/{id}/instantiate
curl --request POST \
--url https://example.com/v1/m/catalog/entries/example/instantiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "note": "example", "target_ref": "example" }'

Creates a self-service instantiation request FROM an approved catalog entry.

id
required
string

Path parameter id.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
name
required
string
/\S/
note
string
target_ref
string
Example generated
{
"name": "example",
"note": "example",
"target_ref": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}